export interface ViewportDimensions {
    readonly width?: number;
    readonly height?: number;
}
export declare function mockViewport({ width, height, }: ViewportDimensions): Promise<() => void>;
export declare function withMockedViewport(dimensions: ViewportDimensions, run: () => Promise<void> | void): Promise<void>;
